package agilpizza.modelo;

import static junit.framework.Assert.assertEquals;

import java.util.ArrayList;

import org.junit.Test;

import agilpizza.modelo.pizza.Endereco;
import agilpizza.modelo.pizza.Pedido;
import agilpizza.modelo.pizza.Pizza;
import agilpizza.modelo.pizza.PizzasTradicionaisDAO;

public class PedidoTest {
	@Test
	public void testePedido() throws Exception {
		ArrayList<Pizza> listaPizza = new ArrayList<Pizza>();
		PizzasTradicionaisDAO pizzaDao = new PizzasTradicionaisDAO();
		listaPizza.add(pizzaDao.getNomesPizzas().get("Portuguesa"));
		Pedido pedido = new Pedido(listaPizza, new Endereco("Rua x", "10", "",
				"", "", ""));
		assertEquals("Pedido deve ter uma pizza.", 1, pedido.getPizzas().size());
		assertEquals("Pedido deve ter endereço.", "Rua x", pedido.getEndereco()
				.getRua());
	}
}
